Skip to main content
GET
/
sessions
/
{session_id}
/
messages
List messages for a session
curl --request GET \
  --url https://api.example.com/sessions/{session_id}/messages \
  --header 'x-user-id: <x-user-id>'
import requests

url = "https://api.example.com/sessions/{session_id}/messages"

headers = {"x-user-id": "<x-user-id>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-user-id': '<x-user-id>'}};

fetch('https://api.example.com/sessions/{session_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "messages": [
    "<unknown>"
  ],
  "is_running": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

x-user-id
string
required

Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.

Path Parameters

session_id
string
required

Query Parameters

agent_id
string
required

Agent the session belongs to.

offset
integer
default:0

Pagination offset.

Required range: x >= 0
limit
integer
default:50

Max messages.

Required range: 1 <= x <= 200

Response

Successful Response

Response body for listing messages in a session.

messages
any[]
required

Messages in chronological order.

is_running
boolean
required

Whether the session is currently running.